### Constructor

# Phosh Notification new

#### Declaration [src]

    PhoshNotification*
    phosh_notification_new (
      guint id,
      const char* app_name,
      GAppInfo* info,
      const char* summary,
      const char* body,
      GIcon* icon,
      GIcon* image,
      PhoshNotificationUrgency urgency,
      GStrv actions,
      gboolean transient,
      gboolean resident,
      const char* category,
      const char* profile,
      GDateTime* timestamp
    )

#### Description

No description available.

#### Parameters

`id`

  Type: `guint`

  No description available.

`app_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`info`

  Type: `GAppInfo`

  No description available.

  The data is owned by the caller of the function.

`summary`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`body`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon`

  Type: `GIcon`

  No description available.

  The data is owned by the caller of the function.

`image`

  Type: `GIcon`

  No description available.

  The data is owned by the caller of the function.

`urgency`

  Type: `PhoshNotificationUrgency`

  No description available.

`actions`

  Type: An array of `utf8`

  No description available.

  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`transient`

  Type: `gboolean`

  No description available.

`resident`

  Type: `gboolean`

  No description available.

`category`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`profile`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`timestamp`

  Type: `GDateTime`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `PhoshNotification`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.